Subject: bug#77135: Gnome shell crashes, segfaults in dmesg

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 23 Mar 2025 00:41:57 +0900

Hi,

Christopher Howard <[email-masked]> writes:

> Hello, after a guix pull yesterday, I did a guix system reconfigure
> and a home reconfigure. After rebooting, I have this problem where
> after logging in to Gnome desktop, the gnome shell will crash with a
> meaningless error message "something went wrong" and then drop me back
> to GDM. The crash is not immediate but can take 1-2 minutes before it
> occurs. I am able to use the virtual console still, but Gnome desktop
> is rendered useless. I can use the guix roll-back functionality to go
> back to my previous system and home configuration and everything works
> again.
>
> After the crash occurs, I can look at the output of dmesg and see that
> there are segfaults occuring in various services. I have attached the
> dmesg output.
>
>
>
> Here is the information on the current commit:
>
> ``` guix describe
> Generation 156	Mar 18 2025 06:51:05	(current)
>   guix fa39695
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: fa39695bbc0c5f79838cbca55d55eebd821a8efa
> ```

Thanks for the report.  I cannot reproduce using a VM like:

$(./pre-inst-env guix system vm gnu/system/examples/desktop.tmpl) -m 4g

Did you try rebooting?  This would clear the GDM state files, kept on a
tmpfs.

I don't have a clear idea.  Mutter was recently updated but that doesn't
seem to cause a regression, as shown above.

-- 
Thanks,
Maxim